library('caret')
#way <- "F:\\FX\\ _Demo\\MQL5\\Files\\Proboy_236_TP_4_SL_4\\Si\\Setup\\"
#df1 = read.csv("F:\\FX\\ _Demo\\MQL5\\Files\\Proboy_236_TP_4_SL_4\\Si\\Setup\\train.csv", header = TRUE, sep = ";",dec = ".")

#way <- "F:\\FX\\ _Demo\\MQL5\\Files\\Testt\\Si\\Setup\\"
#df1 = read.csv("F:\\FX\\ _Demo\\MQL5\\Files\\Testt\\Si\\Setup\\train.csv", header = TRUE, sep = ";",dec = ".")

#way <- "F:\\FX\\ _Demo\\MQL5\\Files\\ZZ_po_Vektoru_TP0_SL1_SiSp_CQ3Z_Podbor_Bi_Kor\\Si\\Setup\\"
#df1 = read.csv("F:\\FX\\ _Demo\\MQL5\\Files\\ZZ_po_Vektoru_TP0_SL1_SiSp_CQ3Z_Podbor_Bi_Kor\\Si\\Setup\\train.csv", header = TRUE, sep = ";",dec = ".")

way <-         "D:\\FX\\MT5_CB\\MQL5\\Files\\Po_Vektoru_TP_0_SL_0\\EURUSD_0\\Setup"
df1 = read.csv("D:\\FX\\MT5_CB\\MQL5\\Files\\Po_Vektoru_TP_0_SL_0\\EURUSD_0\\Setup\\test_mini.csv", header = TRUE, sep = ";",dec = ".")


cor.test.range <- seq(from = 0.1,to = 0.9,by = 0.1)  #     

get.findCorrelation <- function(data , not.used.colums , cor.coef){
  library('caret')
  df2 <-  cor(     data[, ! colnames(data)  %in%  not.used.colums])  
  not.need <- findCorrelation(df2, cutoff=cor.coef) 
  not.need.nms <- colnames(df2[,not.need])  #        
  reduced_Data <- data[, ! colnames(data)  %in%  not.need.nms]
  return(reduced_Data)}


for(i in 1:length(cor.test.range)){
  
    reduced_Data <- get.findCorrelation(data = df1 , 
                                      not.used.colums = c("Target_100_Buy","Target_100_Sell","Target_P","Time","Target_100"),
                                      cor.coef = cor.test.range[i] )


  
  #reduced_Data <- get.findCorrelation(data = reduced_Data , 
  #                                    not.used.colums = c("Target_100_Buy","Target_100_Sell","Target_P","Time","Target_100"),
  #                                    cor.coef = cor.test.range[i]*-1 )  
    
  file.name <- paste0("train2_" , cor.test.range[i] , ".csv")
  final.way <- paste0(way , file.name)
  
  
  #write.csv2(x = reduced_Data,file = final.way,row.names = F)  #   
  
   write.table(reduced_Data, file = final.way,
               append = FALSE, quote = FALSE, sep=";",
               eol = "\n", na = "NA", dec = ".", row.names = FALSE,
               col.names = TRUE, qmethod = c("escape", "double"),
               fileEncoding = "")
}